using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Entities.SC.SC;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查依据
    /// </summary>
    [Description("检查依据")]
    public class T_BS_SAFE_CHECK_DETAIL_LAW : MesEntityBase
    {
        /// <summary>
        /// 检查库明细
        /// </summary>
        [Description("检查库明细")]
        [DataFieldForeignKey("Nav_CheckDetail", "Nav_ListLaw")]
        public Guid CHECK_DETAIL_ID { get; set; }

        ///<summary>
        /// 检查库明细
        /// </summary>
        [Description("检查库明细")]
        public virtual T_BS_SAFE_CHECK_DETAIL Nav_CheckDetail { get; set; }


        /// <summary>
        /// 制度库 （法律法规 改为 制度库）
        /// </summary>
        [Description("制度库")]
        [DataFieldForeignKey("Nav_Standard")]
        public Guid STANDARD_ID { get; set; }

        ///<summary>
        /// 法律法规
        /// </summary>
        [Description("制度库")]
        public virtual T_SC_STANDARD_CREATE Nav_Standard { get; set; }
    }
}